/*
	Author: Sumit Sarkar 09/08/11 of Req: WM1ESUN001
	Reason: Interface Remote for EJB Component InvLockIC
*/

package ibase.webitm.ejb.wms;

import java.rmi.RemoteException;
import org.w3c.dom.*;
import ibase.webitm.utility.ITMException;

@javax.ejb.Remote
public interface InvLockICRemote extends ibase.webitm.ejb.ValidatorRemote
{
	public String wfValData() throws RemoteException,ITMException;
	public String wfValData(Document dom, Document dom1,Document dom2, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException;
	public String wfValData(String xmlString, String xmlString1,String xmlString2, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException;
	public String itemChanged() throws RemoteException, ITMException;
	public String itemChanged(String xmlString, String xmlString1, String xmlString2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException, ITMException;
	public String itemChanged(Document dom, Document dom1, Document dom2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException;
	
}